ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_HTTP_PROXY Struct Reference

`#include <HTTPClient.h>`

## Public Attributes
CHAR | ProxyHost [HTTP_CLIENT_MAX_PROXY_HOST_LENGTH]
CHAR | ProxtUser [HTTP_CLIENT_MAX_USERNAME_LENGTH]
CHAR | ProxyPassword [HTTP_CLIENT_MAX_PASSWORD_LENGTH]
UINT16 | nProxyPort
CHAR | AuthSchemaName [16]
HTTP_AUTH_SCHEMA | ProxyAuthSchema

## Member Data Documentation

CHAR _HTTP_PROXY::AuthSchemaName[16]

UINT16 _HTTP_PROXY::nProxyPort

CHAR _HTTP_PROXY::ProxtUser[HTTP_CLIENT_MAX_USERNAME_LENGTH]

HTTP_AUTH_SCHEMA _HTTP_PROXY::ProxyAuthSchema

CHAR _HTTP_PROXY::ProxyHost[HTTP_CLIENT_MAX_PROXY_HOST_LENGTH]

CHAR _HTTP_PROXY::ProxyPassword[HTTP_CLIENT_MAX_PASSWORD_LENGTH]

The documentation for this struct was generated from the following file:

- HTTPClient.h